UpnpString.h File Reference
The UpnpString Class

UpnpString object declaration. More...

`#include "UpnpGlobal.h"`
`#include <stdlib.h>`
Include dependency graph for UpnpString.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct s_UpnpString | UpnpString
| Type of the string objects inside libupnp. More...

## Functions

UpnpString * | UpnpString_new (void)
| Constructor. More...
void | UpnpString_delete (UpnpString *p)
| Destructor. More...
UpnpString * | UpnpString_dup (const UpnpString *p)
| Copy Constructor. More...
void | UpnpString_assign (UpnpString *p, const UpnpString *q)
| Assignment operator. More...
size_t | UpnpString_get_Length (const UpnpString *p)
| Returns the length of the string. More...
void | UpnpString_set_Length (UpnpString *p, size_t n)
| Truncates the string to the specified lenght, or does nothing if the current lenght is less than or equal to the requested length. More...
const char * | UpnpString_get_String (const UpnpString *p)
| Returns the pointer to char. More...
int | UpnpString_set_String (UpnpString *p, const char *s)
| Sets the string from a pointer to char. More...
int | UpnpString_set_StringN (UpnpString *p, const char *s, size_t n)
| Sets the string from a pointer to char using a maximum of N chars. More...
void | UpnpString_clear (UpnpString *p)
| Clears the string, sets its size to zero. More...
int | UpnpString_cmp (UpnpString *p, UpnpString *q)
| Compares two strings for equality. Case matters. More...
int | UpnpString_casecmp (UpnpString *p, UpnpString *q)
| Compares two strings for equality. Case does not matter. More...

## Detailed Description

UpnpString object declaration.